﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XamTreeGridExpansionIssueTest
{
    public class ViewModel
    {
        public ObservableCollection<SampleData> Data { get; set; }

        Random r = new Random();
        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();

            for(int i=0; i<15; i++)
            {
                SampleData sd = new SampleData() { ID = i, Label = "Label " + i.ToString(), Number = r.Next(1000) };

                for(int j=0; j<5; j++)
                {
                    sd.Children.Add(new SampleData() { ID = j, Label = "Child Label " + j.ToString(), Number = r.Next(100) });
                }

                Data.Add(sd);
            }
        }
    }

    public class SampleData
    {
        public int ID { get; set; }
        public string Label { get; set; }
        public int Number { get; set; }
        public ObservableCollection<SampleData> Children { get; set; }

        public SampleData()
        {
            Children = new ObservableCollection<SampleData>();
        }
    }
}
